#ifndef __MQTTJSON_H__
#define __MQTTJSON_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <pthread.h>
#include <unistd.h>
#include <mosquitto.h>
#include <cjson/cJSON.h>
#include<time.h>
#include "pin.h"

extern time_t gStart;

extern int gLeftPwmPin;
extern int gLeftPwm;
extern int gLeftPwmCount;  // 计数

extern int gRightPwmPin;
extern int gRightPwm;
extern int gRightPwmCount;  // 计数

#define BROKER_ADDRESS "119.45.167.177"
#define BROKER_PORT 1883
#define CLIENT_ID "device/tatalship"
#define TOPIC "controlship/01"
#define USERNAME "admin"    // 替换为你的用户名
#define PASSWORD "admin"       // 替换为你的密码


void on_connect(struct mosquitto *mosq, void *obj, int rc); 

void on_message(struct mosquitto *mosq, void *obj, const struct mosquitto_message *message);

#endif
